const system = require("../../system");
const settings = require("../../../config/settings");
const uiconfig = system.getUiConfig2(settings.wxconfig.appId);
module.exports = (db, DataTypes) => {
  return db.define("orderflow", {
    // 引用表的信息:
    // this.db.models.orderflow.belongsTo(this.db.models.user,{as:'createuser',constraints: false,}); 

    sourceOrderNo: DataTypes.STRING(100),//来源单号
    opContent: DataTypes.STRING(1000),
    notes: DataTypes.STRING(1000),
    flowStatus: {//流程状态值
      type: DataTypes.INTEGER,
      defaultValue: 0,
    },
  }, {
      paranoid: true,//假的删除
      underscored: true,
      version: true,
      freezeTableName: true,
      //freezeTableName: true,
      // define the table's name
      tableName: 'biz_orderflow',
      validate: {},
      indexes: [
      ]
    });
}
